Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.search.annotations
Annotation Type ClassBridge

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    @Documented
    public @interface ClassBridge

This annotation allows a user to apply an implementation class to a Lucene document to manipulate it in any way the user sees fit.

Author:
  John Griffin

Required Element Summary
`java.lang.Class<?>` | `impl` User supplied class to manipulate document in whatever mysterious ways they wish to.

Optional Element Summary
`Analyzer` | `analyzer` Define an analyzer for the field, default to the inherited analyzer.
`Boost` | `boost` A float value of the amount of Lucene defined boost to apply to a field.
`Index` | `index` Defines how the Field should be indexed defaults to tokenized.
`java.lang.String` | `name` Field name, default to the JavaBean property name.
`Parameter[]` | `params` Array of fields to work with.
`Store` | `store` Should the value be stored in the document.
`TermVector` | `termVector` Define term vector storage requirements, default to NO.

Element Detail

### impl

    public abstract java.lang.Class<?> impl

  User supplied class to manipulate document in whatever mysterious ways they wish to.

### name

    public abstract java.lang.String name

  Field name, default to the JavaBean property name.

  Default:
    ""

### store

    public abstract Store store

  Should the value be stored in the document. defaults to no.

  Default:
    org.hibernate.search.annotations.Store.NO

### analyzer

    public abstract Analyzer analyzer

  Define an analyzer for the field, default to the inherited analyzer.

  Default:
    @org.hibernate.search.annotations.Analyzer

### index

    public abstract Index index

  Defines how the Field should be indexed defaults to tokenized.

  Default:
    org.hibernate.search.annotations.Index.TOKENIZED

### termVector

    public abstract TermVector termVector

  Define term vector storage requirements, default to NO.

  Default:
    org.hibernate.search.annotations.TermVector.NO

### boost

    public abstract Boost boost

  A float value of the amount of Lucene defined boost to apply to a field.

  Default:
    @org.hibernate.search.annotations.Boost(1.0f)

### params

    public abstract Parameter[] params

  Array of fields to work with. The impl class above will work on these fields.

  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2006-2010 Hibernate. All Rights Reserved.